### Method

# FoundryGtk SourceBuffer comment

since: 1.1

#### Declaration [src]

    void
    foundry_source_buffer_comment (
      FoundrySourceBuffer* self,
      const GtkTextIter* begin,
      const GtkTextIter* end
    )

#### Description [src]

Comments the specified text range using the appropriate comment syntax for the current language.

Available since: 1.1

#### Parameters

`begin`

  Type: `GtkTextIter`

  Start of the text range to comment.

  The data is owned by the caller of the method.

`end`

  Type: `GtkTextIter`

  End of the text range to comment.

  The data is owned by the caller of the method.